Public Member Functions | Static Public Member Functions | Protected Member Functions

# geos::index::quadtree::Node Class Reference

Represents a node of a Quadtree. More...

`#include <Node.h>`

Inheritance diagram for geos::index::quadtree::Node:

List of all members.

## Public Member Functions
| Node (std::auto_ptr< geom::Envelope > nenv, int nlevel)
geom::Envelope * | getEnvelope ()
Node * | getNode (const geom::Envelope *searchEnv)
| Returns the subquad containing the envelope. Creates the subquad if it does not already exist.
NodeBase * | find (const geom::Envelope *searchEnv)
| Returns the smallest existing node containing the envelope.
void | insertNode (std::auto_ptr< Node > node)
std::string | toString () const
## Static Public Member Functions
static std::auto_ptr< Node > | createNode (const geom::Envelope &env)
static std::auto_ptr< Node > | createExpanded (std::auto_ptr< Node > node, const geom::Envelope &addEnv)
| Create a node containing the given node and envelope.
## Protected Member Functions
bool | isSearchMatch (const geom::Envelope &searchEnv) const

## Detailed Description

Represents a node of a Quadtree.

Nodes contain items which have a spatial extent corresponding to the node's position in the quadtree.

## Member Function Documentation

static std::auto_ptr<Node> geos::index::quadtree::Node::createExpanded | ( | std::auto_ptr< Node > | node,
|  | const geom::Envelope & | addEnv
| ) |  | `[static]`

Create a node containing the given node and envelope.

Parameters:

  node | if not null, will be inserted to the returned node
  addEnv | minimum envelope to use for the node

geom::Envelope* geos::index::quadtree::Node::getEnvelope | ( | ) | `[inline]`

Return Envelope associated with this node ownership retained by this object

The documentation for this class was generated from the following file:

- index/quadtree/Node.h